This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 500490 - (CVE-2009-1374) CVE-2009-1374 pidgin DoS when decrypting qq packets
CVE-2009-1374 pidgin DoS when decrypting qq packets
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=low,source=pidgin,reported=200...
: Security
Depends On: 500494 500495 500496 500497 502578 833958
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 18:03 EDT by Josh Bressers
Modified: 2012-06-20 10:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 03:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-05-12 18:03:41 EDT
A denial-of-service flaw was found in pidgin's QQ protocol handler. When
the QQ protocol decrypts packet information, a heap based buffer overflow
results, which could cause pidgin to crash.
Comment 3 Jan Lieskovsky 2009-05-22 04:10:02 EDT
Link to upstream advisory:

http://www.pidgin.im/news/security//?id=30
Comment 4 errata-xmlrpc 2009-05-22 08:10:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1060 https://rhn.redhat.com/errata/RHSA-2009-1060.html
Comment 6 Fedora Update System 2009-05-26 10:31:12 EDT
pidgin-2.5.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc9
Comment 7 Fedora Update System 2009-06-02 10:26:16 EDT
pidgin-2.5.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-02 10:28:18 EDT
pidgin-2.5.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-02 10:33:21 EDT
pidgin-2.5.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.